import http from "@/api/http.js"

export default{
    /**
   * 获取分类
   * @returns 
   */
  classifyList:  params =>{
    return http.get('/correlation/chart_classify/list',params)
  },

  /**
   * 新增分类
   * @param {*} params  "ChartClassifyName": "分类1-2"
   * @returns 
   */
  classifyAdd:  params =>{
    return http.post('/correlation/chart_classify/add',params)
  },

  /**
   * 编辑分类
   * @param {*} params  ChartClassifyName ChartClassifyId
   * @returns 
   */
  classifyEdit: params =>{
    return http.post('/correlation/chart_classify/edit',params)
  },

  /**
   * 删除分类检测
   * @param {*} params ChartClassifyId
   * @returns 
   */
  classifyDelCheck: params =>{
    return  http.post('/correlation/chart_classify/delete/check',params)
  },

  /**
   * 删除分类
   * @param {*} params ChartClassifyId
   * @returns 
   */
  classifyDel: params =>{
    return  http.post('/correlation/chart_classify/delete',params)
  },

  /**
   * 移动分类
   * @param {*} params ClassifyId "PrevClassifyId":1, "NextClassifyId":2,
   * @returns 
   */
  classifyMove: params => {
    return http.post('/correlation/chart_classify/move',params)
  },

  /**
   * 图表分类option
   * @param {*} params 
   * @returns 
   */
   classifyOne: params => {
      return http.get('/correlation/chart_classify/items',params)
    },

  /**
   * 相关性图表列表
   * @param {*} params CurrentIndex PageSize ChartClassifyId Keyword IsShowMe
   * @returns 
   */
   getChartList: params => {
    return http.get('/correlation/chart_info/list',params)
  },

  /**
   * 相关性图表详情
   * @param {ChartInfoId} params 
   * @returns 
   */
   chartDetail: params => {
    return http.get('/correlation/chart_info/detail',params)
  },


  /**
   * 预览相关性图
   */
  previewRelevanceChart:params=>{
    return http.post('/correlation/chart_info/preview',params)
  },

  /**
   * 保存相关性图
   */
  saveRelevanceChart:params=>{
    return http.post('/correlation/chart_info/add',params)
  },

  /**
   * 编辑
   * @param {*} params 
   * @returns 
   */
   editRelevanceChart:params=>{
    return http.post('/correlation/chart_info/edit',params)
  },

  /**
   * 刷新图表 
   * @param {*} params ChartInfoId
   * @returns 
   */
   refreshChart: params => {
    return http.get('/correlation/chart_info/refresh',params)
  },

  /**
   * 另存为
   * @param {*} params ChartInfoId  ChartClassifyId  ChartName
   * @returns 
   */
   saveOtherChart: params => {
    return http.post('/correlation/chart_info/copy',params)
  },

  /**
   * 编辑英文信息
   * @param {*} params  ChartInfoId ChartNameEn UnitEn
   * @returns 
   */
   editChartEn: params => {
    return http.post('/correlation/chart_info/en/edit',params)
  },

  /**
   * 搜索图表
   * @param {*} params Keyword IsShowMe
   * @returns 
   */
   searchChart: params => {
    return http.get('/correlation/chart_info/search_by_es',params)
  },

}