import http from "@/api/http.js"

/**
 * 获取分类
 * @returns 
 */
export const classifyList =  params =>{
	return http.get('/datamanage/excel_classify/list',params)
}

/**
 * 新增分类
 * @param {*} params  "ExcelClassifyName": "分类1-2"
 * @returns 
 */
export const classifyAdd =  params =>{
	return http.post('/datamanage/excel_classify/add',params)
}

/**
 * 编辑分类
 * @param {*} params  ExcelClassifyName ExcelClassifyId
 * @returns 
 */
export const classifyEdit =  params =>{
	return http.post('/datamanage/excel_classify/edit',params)
}

/**
 * 删除分类检测
 * @param {*} params ExcelClassifyId ExcelInfoId
 * @returns 
 */
export const classifyDelCheck = params =>{
	return  http.post('/datamanage/excel_classify/delete/check',params)
}

/**
 * 删除分类
 * @param {*} params ExcelClassifyId ExcelInfoId
 * @returns 
 */
export const classifyDel = params =>{
	return  http.post('/datamanage/excel_classify/delete',params)
}

/**
 * 移动分类
 * @param {*} params ClassifyId "PrevClassifyId":1, "NextClassifyId":2,
 * @returns 
 */
export const classifyMove = params =>{
	return  http.post('/datamanage/excel_classify/move',params)
}

/**
 * 移动表格
 * @param {*} params ExcelClassifyId ExcelInfoId PrevExcelInfoId NextExcelInfoId
 * @returns 
 */
export const sheetMove = params => {
	return http.post('/datamanage/excel_info/move',params)
}

/**
 * 表格列表
 * @param {*} params  CurrentIndex  PageSize  ExcelClassifyId 
 */
export const sheetList = params => {
  return http.get('/datamanage/excel_info/list',params)
}

/**
 * 表格分类
 * @param {*} params 
 * @returns 
 */
export const excelClassifyOne = params => {
	return http.get('/datamanage/excel_classify/items',params)
}

/**
 * 新增表格
 * @param {*} params ExcelName ExcelClassifyId Content
 * @returns 
 */
export const sheetAdd = params => {
	return http.post('/datamanage/excel_info/add',params)
}

/**
 * 保存表格 
 * @param {*} params  ExcelInfoId ExcelName ExcelClassifyId Content
 * @returns 
 */
export const sheetEdit = params => {
	return http.post('/datamanage/excel_info/edit',params)
}

/**
 * 获取表格详情
 * @param {*} params ExcelInfoId 
 * @returns 
 */
export const sheetDetail = params => {
	return http.get('/datamanage/excel_info/detail',params)
}

/**
 * 保存草稿
 * @param {*} params ExcelInfoId ExcelName ExcelClassifyId Content
 * @returns 
 */
export const sheetDrafSave = params => {
	return http.post('/datamanage/excel_info/draft/add',params)
}

/**
 * 
 * @param {*} params Image
 * @returns 
 */
export const uploadImg = params => {
	return http.post('/resource/upload_image_base64',params)
}
/**
 * 获取表格数据
 */
 export const getSheetData = params=>{
  return http.get('/datamanage/excel_info/table_data',params)
}