const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
  // 客户管理
	{
		path: '/',
		component: home,
		name: '客户管理',
		hidden: true,
		icon_path: require('@/assets/img/home/custom_ico.png'),
		children: [{
				path: 'customSearch',
				component: () => import('@/views/custom_manage/customSearch.vue'),
				name: '客户检索',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'customList',
				component: () => import('@/views/custom_manage/customList/customList.vue'),
				name: '客户列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'customListEn',
				component: () => import('@/views/custom_manage/customList/customListEn.vue'),
				name: '英文客户列表',
				hidden: false
			},
			{
				path: 'pickList',
				name: '领取列表',
				component: () => import('@/views/custom_manage/pickList.vue'),
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'addCustom',
				name: '新增客户',
				component: () => import('@/views/custom_manage/customList/addCustom.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			{
				path: 'editCustom',
				name: '编辑客户',
				component: () => import('@/views/custom_manage/customList/editCustom.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			{
				path: 'editCustomEn',
				component: () => import('@/views/custom_manage/customList/editCustomEn.vue'),
				name: '编辑英文客户',
				hidden: true,
				meta: {
					pathFrom: 'customListEn',
					pathName: '英文客户列表'
				}
			},
			{
				path: 'customDetail',
				name: '客户详情',
				component: () => import('@/views/custom_manage/customList/customDetail.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			{
				path: 'detailCustomEn',
				component: () => import('@/views/custom_manage/customList/editCustomEn.vue'),
				name: '英文客户详情',
				hidden: true,
				meta: {
					pathFrom: 'customListEn',
					pathName: '英文客户列表'
				}
			},
			{
				path: 'pickCustom',
				name: '领取客户',
				component: () => import('@/views/custom_manage/customList/pickCustom.vue'),
				hidden: true,
				meta: {
					pathFrom: 'pickList',
					pathName: '领取列表',
					keepAlive: false
				}
			},
			// 服务更新差分为 续约申请和补充协议其中 权益无补充协议
			{
				path: 'updateCustom',
				name: '续约申请',
				component: () => import('@/views/custom_manage/customList/updateServe.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			{
				path: 'addAgreement',
				name: '补充协议',
				component: () => import('@/views/custom_manage/customList/updateServe.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			{
				path: 'turnCustom',
				name: '申请转正',
				component: () => import('@/views/custom_manage/customList/applyTurn.vue'),
				hidden: true,
				meta: {
					pathFrom: 'customList',
					pathName: '客户列表',
					keepAlive: false
				}
			},
			// {
			// 	path: 'approvalList',
			// 	component: () => import('@/views/custom_manage/approvalList.vue'),
			// 	name: '审批列表',
			// 	hidden: false,
			// 	meta: {
			// 		keepAlive: false
			// 	}
			// },
			{
				path: 'approvalUpdate',
				name: '续约审批',
				component: () => import('@/views/custom_manage/approvalUpdate.vue'),
				hidden: true,
				meta: {
					pathFrom: 'approvalList',
					pathName: '审批列表',
					keepAlive: false
				}
			},
			{
				path: 'approvalTurn',
				name: '转正审批',
				component: () => import('@/views/custom_manage/approvalTurn.vue'),
				hidden: true,
				meta: {
					pathFrom: 'approvalList',
					pathName: '审批列表',
					keepAlive: false
				}
			},
			{
				path: 'potentialList',
				component: () => import('@/views/custom_manage/potentialList.vue'),
				name: '潜在用户',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: "trialApplication",
				component: () => import("@/views/custom_manage/trialApplication.vue"),
				name: "官网试用申请",
				hidden: false,
				meta: {
					keepAlive: false,
				},
			},
			{
				path: "userFiccApplyList",
				name: '用户申请列表',
				component: () => import('@/views/ficc_manage/userApplication.vue'),
				hidden: false,
			},
			{
				path: 'regionCustomerList',
				component: () => import('@/views/custom_manage/customList/regionCustom.vue'),
				name: '客户区域统计',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'regionCustomerDetail',
				component: () => import('@/views/custom_manage/customList/regionCustomDetail.vue'),
				name: '正式客户列表',
				hidden: false,
				meta: {
					pathFrom: 'regionCustomerList',
					pathName: '客户区域统计',
					keepAlive: false
				}
			},
			{
				path: 'contactsList',
				component: () => import('@/views/custom_manage/contacts/contactsList.vue'),
				name: '联系人列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'mutualList',
				name: '互动列表',
				component: () => import('@/views/custom_manage/contacts/mutualList.vue'),
				hidden: true,
				meta: {
					pathFrom: 'contactsList',
					pathName: '联系人列表',
					keepAlive: false
				}
			},
			{
				path: 'organizationList',
				name: '机构互动列表',
				component: () => import('@/views/custom_manage/contacts/organizationList.vue'),
				hidden: true,
				meta: {
					pathFrom: 'contactsList',
					pathName: '联系人列表',
					keepAlive: false
				}
			},
			{
				path: 'wholeOrganization',
				name: '全机构互动列表',
				component: () => import('@/views/custom_manage/contacts/wholeOrganization.vue'),
				hidden: true,
				meta: {
					pathFrom: 'contactsList',
					pathName: '联系人列表',
					keepAlive: false
				}
			},
			{
				path:"customerlistmatch",
				name: '客户名单匹配',
				component: () => import('@/views/custom_manage/listMatch.vue'),
				hidden: false,
			},
      {
				path: 'etaTrialList',
				component: () => import('@/views/custom_manage/etaTrialList/etaTrialList.vue'),
				name: 'ETA试用',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
      {
				path: 'etaApprovalList',
				component: () => import('@/views/custom_manage/etaTrialList/etaTrialList.vue'),
				name: '审批列表',
				hidden: false,
				meta: {
					pathFrom: 'etaTrialList',
					pathName: 'ETA试用',
					keepAlive: false
				}
			},
      {
				path: 'etaAddApproval',
				component: () => import('@/views/custom_manage/etaTrialList/addApproval.vue'),
				name: '新增申请',
				hidden: false,
				meta: {
					pathFrom: 'etaTrialList',
					pathName: 'ETA试用',
					keepAlive: false
				}
			},
			{
				path: 'questionnaireSurvey',
				component: () => import('@/views/custom_manage/etaTrialList/questionnaireSurvey.vue'),
				name: '问卷调研',
				hidden: false,
				meta: {
					pathFrom: 'etaTrialList',
					pathName: 'ETA试用'
				}
			},
			{
				path: 'questionnaireOption',
				component: () => import('@/views/custom_manage/etaTrialList/questionnaireOption.vue'),
				name: '问卷配置',
				hidden: false,
				meta: {
					pathFrom: 'etaTrialList',
					pathName: 'ETA试用'
				}
			},
			{
				path: 'textQuestionDetail',
				component: () => import('@/views/custom_manage/etaTrialList/textQuestionDetail.vue'),
				name: '统计详情',
				hidden: false,
				meta: {
					pathFrom: 'etaTrialList',
					pathName: 'ETA试用'
				}
			}
		]
	},

  //合同管理
	{
		path: '/',
		component: home,
		name: '合同管理',
		hidden: false,
		icon_path: require('@/assets/img/home/custom_ico.png'),
		children: [{
				path: 'contractmanagelist',
				component: () => import('@/views/contract_manage/contractList.vue'),
				name: '合同列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'addcontract',
				component: () => import('@/views/contract_manage/addContract.vue'),
				name: "添加合同",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'contractdetail',
				component: () => import('@/views/contract_manage/contractDetail.vue'),
				name: "合同详情",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'editcontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "编辑合同",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'retrialcontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "重审合同",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'copycontract',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "复制模板",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'modifyapply',
				component: () => import('@/views/contract_manage/editContract.vue'),
				name: "修改重审",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'addcontractdc',
				component: () => import('@/views/contract_manage/addContractDC.vue'),
				name: "添加代付合同",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'contractdetaildc',
				component: () => import('@/views/contract_manage/contractDetailDC.vue'),
				name: "代付合同详情",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'editcontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "代付合同编辑",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'retrialcontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "代付合同重审",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'copycontractdc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "代付合同复制模板",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			{
				path: 'modifyapplydc',
				component: () => import('@/views/contract_manage/editContractDC.vue'),
				name: "代付合同修改重审",
				hidden: false,
				meta: {
					pathFrom: 'contractmanagelist',
					pathName: '合同列表',
					keepAlive: false
				}
			},
			// {
			// 	path:"contractapprovallist",
			// 	component:()=>import("@/views/contract_manage/approvalList.vue"),
			// 	name:"合同审批",
			// 	hidden:false,
			// 	meta: {
			// 		keepAlive: false
			// 	}
			// }
		]
	},

	// 审批列表
	{
		path: "/",
		component: home,
		name: '审批列表',
		hidden: false,
		icon_path: require('@/assets/img/home/custom_ico.png'),
		children: [{
				path: "contractapprovallist",
				component: () => import("@/views/contract_manage/approvalList.vue"),
				name: "合同审批",
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'contractdetailapr',
				component: () => import('@/views/contract_manage/contractDetail.vue'),
				name: "合同详情",
				hidden: false,
				meta: {
					pathFrom: 'contractapprovallist',
					pathName: '合同审批',
					keepAlive: false
				}
			},
			{
				path: 'contractdetaildcapr',
				component: () => import('@/views/contract_manage/contractDetailDC.vue'),
				name: "代付合同详情",
				hidden: false,
				meta: {
					pathFrom: 'contractapprovallist',
					pathName: '合同审批',
					keepAlive: false
				}
			},
			{
				path: 'approvalList',
				component: () => import('@/views/custom_manage/approvalList.vue'),
				name: '客户审批',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: "sealApprovalList",
				component: () => import('@/views/seal_manage/approvalList.vue'),
				name: '用印审批',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: "addSeal",
				component: () => import('@/views/seal_manage/updateSeal.vue'),
				name: '新增用印',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: "editSeal",
				component: () => import('@/views/seal_manage/updateSeal.vue'),
				name: '编辑用印',
				hidden: true,
				meta: {
					keepAlive: false
				}
			}
		]
	},

  /* ficc活动管理 */
	{
		path: '/',
		component: home,
		name: 'ficc活动管理',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [{
				path: "ficcActivityList",
				name: '活动管理',
				component: () => import('@/views/ficc_manage/activity/activityList.vue'),
				hidden: false,
			},
			{
				path: 'ficcActivityAdd',
				name: '添加活动',
				component: () => import('@/views/ficc_manage/activity/addActivity.vue'),
				hidden: false,
				meta: {
					pathFrom: 'ficcActivityList',
					pathName: '活动管理',
					keepAlive: false
				}
			},
			{
				path: 'ficcActivityEdit',
				name: '编辑活动',
				component: () => import('@/views/ficc_manage/activity/editActivity.vue'),
				hidden: false,
				meta: {
					pathFrom: 'ficcActivityList',
					pathName: '活动管理',
					keepAlive: false
				}
			},
			{
				path: "ficcSignUpList",
				name: '报名管理',
				component: () => import('@/views/ficc_manage/signUp/signUpList.vue'),
				hidden: false,
			},
			{
				path: "ficcApplyList",
				name: 'ficc申请记录',
				component: () => import('@/views/ficc_manage/apply/applyList.vue'),
				hidden: false,
			}, {
				path: "attendList",
				name: '全时到会管理',
				component: () => import('@/views/ficc_manage/activity/attendList.vue'),
				hidden: false,
			}, {
				path: 'attendDetail',
				name: '全时到会详情',
				component: () => import('@/views/ficc_manage/activity/attendDetail.vue'),
				hidden: true,
				meta: {
					pathFrom: 'attendList',
					pathName: '全时到会管理',
					keepAlive: false
				}
			}, {
				path: "jmAttendList",
				name: '进门到会管理',
				component: () => import('@/views/ficc_manage/activity/jmAttendList.vue'),
				hidden: false,
			}, {
				path: 'jmAttendDetail',
				name: '进门到会详情',
				component: () => import('@/views/ficc_manage/activity/jmAttendDetail.vue'),
				hidden: true,
				meta: {
					pathFrom: 'jmAttendList',
					pathName: '进门到会管理',
					keepAlive: false
				}
			},
			{
				path: 'ficcActivitySpeaker',
				name: '主讲人管理',
				component: () => import('@/views/ficc_manage/activity/speakerList.vue'),
				hidden: false,
			}
		],
	},
  
	/* 路演管理 */
	{
		path: '/',
		component: home,
		name: '路演管理',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [{
				path: "researcherCalendar",
				name: "研究员日历",
				component: () => import('@/views/roadshow_manage/researcherCalendar.vue')
			},
			{
				path: "myCalendar",
				name: "我的日历",
				component: () => import('@/views/roadshow_manage/myCalendar.vue')
			},
			{
				path: "meetingCalendar",
				name: "公开会议总览",
				component: () => import('@/views/roadshow_manage/meetingCalendar.vue')
			},
			{
				path: "statisticResearcher",
				name: "研究员路演统计",
				component: () => import('@/views/roadshow_manage/statistics/researcher.vue')
			},
			{
				path: "statisticSeller",
				name: "销售路演统计",
				component: () => import('@/views/roadshow_manage/statistics/seller.vue')
			},
			{
				path: "specialSeller",
				name: "专项路演统计",
				component: () => import('@/views/roadshow_manage/statistics/specialSeller.vue')
			},
			{
				path: "roadshowFeedback",
				name: "路演反馈",
				component: () => import('@/views/roadshow_manage/feedbackList.vue')
			},
			{
				path: "researcherBusinessTrip",
				name: "研究员出差表",
				component: () => import('@/views/roadshow_manage/researcherBusinessTrip.vue')
			},
		]
	},

	/* 销售管理 */
	{
		path: '/',
		component: home,
		name: '销售管理',
		hidden: false,
		icon_path: require('@/assets/img/home/saller_ico.png'),
		children: [{
				path: "sellerStatisticSeller",
				name: "销售路演统计",
				component: () => import('@/views/roadshow_manage/statistics/seller.vue')
			},
			{
				path: "sellerSpecialSeller",
				name: "专项路演统计",
				component: () => import('@/views/roadshow_manage/statistics/specialSeller.vue')
			},
			{
				path: 'sellerStatisticNewcustom',
				component: () => import('@/views/dataReport_manage/statistic/newCustom.vue'),
				name: '新增客户统计',
				hidden: false
			},
			{
				path: 'sellerStatisticStockcustom',
				component: () => import('@/views/dataReport_manage/statistic/stockCustom.vue'),
				name: '存量客户统计',
				hidden: false
			},
			{
				path: 'sellerStatisticContractcustom',
				component: () => import('@/views/dataReport_manage/statistic/contractCustom.vue'),
				name: '续约客户统计',
				hidden: false
			},
			{
				path: 'newCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: '新增客户列表',
				meta: {
					pathFrom: 'sellerStatisticNewcustom',
					pathName: '新增客户统计'
				},
				hidden: true
			},
			{
				path: 'contractCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: '续约客户列表',
				meta: {
					pathFrom: 'sellerStatisticContractcustom',
					pathName: '续约客户统计'
				},
				hidden: true
			},
			{
				path: 'sellerTodoTask',
				component: () => import('@/views/dataReport_manage/statistic/todoTask.vue'),
				name: '销售To do统计',
				hidden: false
			},
			{
				path: 'todoTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: '客户任务列表',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To do统计'
				},
				hidden: true
			},
			{
				path: 'undoneTaskList',
				/* component: () => import('@/views/dataReport_manage/statistic/undoneTaskList.vue'), */
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: '未完成任务列表',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To do统计'
				},
				hidden: true
			},
			{
				path: 'doingTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: '进行中任务列表',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To do统计'
				},
				hidden: true
			},
			{
				path: 'tryList',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: '试用客户列表',
				meta: {
					pathFrom: 'sellerTodoTask',
					pathName: '销售To do统计'
				},
				hidden: true
			},
			{
				path:"ficcProductStatistic",
				component: () => import('@/views/dataReport_manage/statistic/ficcProduct.vue'),
				name: '分产品阅读统计',
				hidden: false
			},
			{
				path: 'ficcProductlist',
				component: () => import('@/views/dataReport_manage/statistic/ficcProductList.vue'),
				name: '分产品阅读客户列表',
				meta: {
					pathFrom: 'ficcProductStatistic',
					pathName: '分产品阅读统计'
				},
				hidden: true
			},
			{
				path:"receiveCompanyPermission",
				name: '添加客户权限',
				component: () => import('@/views/custom_manage/saleAuthManage.vue'),
				hidden: false,
			},
		]
	},

	// 出差管理
	{
		path: '/',
		component: home,
		name: '出差管理',
		hidden: false,
		icon_path: require('@/assets/img/home/business_trip.png'),
		children: [{
				path: "businessTripCalendar",
				name: "出差日历",
				component: () => import('@/views/business_trip_manage/businessCalendar.vue')
			},
			{
				path: "businessTripApplication",
				name: "出差申请",
				component: () => import('@/views/business_trip_manage/businessApplication.vue')
			},
			{
				path: 'businessTripApproval',
				component: () => import('@/views/business_trip_manage/businessApproval.vue'),
				name: '出差审批'
			}
		]
	},
]