const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页

export default [
  // 数据录入
	{
		path: '/',
		component: home,
		name: '数据管理',
		hidden: false,
		icon_path: require('@/assets/img/home/data_ic.png'),
		children: [
			{
				path: 'targetList',
				component: () => import('@/views/dataEntry_manage/targetList'),
				name: '手工指标',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'lzTarget',
				component: () => import('@/views/dataEntry_manage/thirdBase/lzTargetbase.vue'),
				name: '隆众原始数据库',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{

				path: 'glTarget',
				component: () => import('@/views/dataEntry_manage/thirdBase/glTargetbase.vue'),
				name: '钢联原始数据库',
				hidden: false,
				meta: {
					keepAlive: false
				}

			},
			{
				path: 'dataList',
				component: () => import('@/views/dataEntry_manage/dataEntry.vue'),
				name: '手工数据录入',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'onlineExcelCopy',
				component: () => import('@/views/dataEntry_manage/onlineExcelCopy.vue'),
				name: '复制excel数据',
				meta: {
					pathFrom: 'dataList',
					pathName: '手工数据录入'
				},
				hidden: true
			},
			{
				path: 'smmTarget',
				component: () => import('@/views/dataEntry_manage/thirdBase/smmTargetbase.vue'),
				name: '有色原始数据库',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'gasTarget',
				component: () => import('@/views/dataEntry_manage/gasbase/index.vue'),
				name: '天然气',
				hidden: false,
			},
			{
				path: 'gasHistory',
				component: () => import('@/views/dataEntry_manage/gasbase/history.vue'),
				name: '天然气历史数据',
				hidden: true,
			},
			{
				path: 'zhengzhoushop',
				component: () => import('@/views/dataEntry_manage/thirdBase/zzExchangeData.vue'),
				name: '郑州商品交易所',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'dalianshop',
				component: () => import('@/views/dataEntry_manage/thirdBase/dlExchangeData.vue'),
				name: '大连商品交易所',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'shanghaifutures',
				component: () => import('@/views/dataEntry_manage/thirdBase/shFutures.vue'),
				name: '上海期货交易所',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'chinafutures',
				component: () => import('@/views/dataEntry_manage/thirdBase/chinaFinancialFutures.vue'),
				name: '中国金融期货交易所',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'shanghaienergy',
				component: () => import('@/views/dataEntry_manage/thirdBase/shEnergy.vue'),
				name: '上海国际能源交易中心',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'chineseCoal',
				component: () => import('@/views/dataEntry_manage/coal/index.vue'),
				name: '中国煤炭市场网',
				hidden: false,
			},
			{
				path: 'googleTravel',
				component: () => import('@/views/dataEntry_manage/googleTravel/index.vue'),
				name: '谷歌出行指数',
				hidden: false,
			},
			{
				path: 'steelChemical',
				component: () => import('@/views/dataEntry_manage/thirdBase/steelChemicalbase.vue'),
				name: '钢联化工数据库',
				hidden: false,
			},
			{
				path: 'steobase',
				component: () => import('@/views/dataEntry_manage/thirdBase/elaSteoBase.vue'),
				name: 'EIA  STEO报告',
				hidden: false,
			},
			{
				path: 'UNdata',
				component: () => import('@/views/dataEntry_manage/thirdBase/UNdata.vue'),
				name: 'UN',
				hidden: false,
			},
      {
				path: 'SCIdata',
				component: () => import('@/views/dataEntry_manage/thirdBase/SCITargetbase.vue'),
				name: '卓创数据（红桃3）',
				hidden: false,
			},
      {
        path:'BAIINFOdata',
        component: () => import('@/views/dataEntry_manage/thirdBase/BAIINFOTargetbase.vue'),
				name: '百川盈孚',
				hidden: false,
      }
		]
	},

  /* 数据报表 */
	{
		path: '/',
		component: home,
		name: '数据报表',
		hidden: false,
		icon_path: require('@/assets/img/home/datareport_ico.png'),
		children: [{
				path: 'expiringlist',
				component: () => import('@/views/dataReport_manage/expiringList.vue'),
				name: '即将到期客户',
				hidden: false
			},
			{
				path: 'incrementalist',
				component: () => import('@/views/dataReport_manage/incrementalList.vue'),
				name: '增量客户数据',
				hidden: false
			},
			{
				path: 'stocklist',
				component: () => import('@/views/dataReport_manage/stockCutomList.vue'),
				name: '存量客户数据',
				hidden: false
			},
			{
				path: 'contractlist',
				component: () => import('@/views/dataReport_manage/contractList.vue'),
				name: '合同数据报表',
				hidden: false
			},
			{
				path: 'incomelist',
				component: () => import('@/views/dataReport_manage/incomeList.vue'),
				name: '收入统计报表',
				hidden: false
			},
			{
				path: 'readStatistics',
				component: () => import('@/views/dataReport_manage/readStatistics.vue'),
				name: '图库阅读统计',
				hidden: false
			},
			{
				path: 'readClassify',
				component: () => import('@/views/dataReport_manage/readClassify.vue'),
				name: '',
				hidden: false,
				meta: {
					pathName: '图库阅读统计',
					pathFrom: 'readStatistics',
				}
			},
			{
				path: 'readChart',
				name: '我的图库',
				component: () => import('@/views/mychart_manage/index.vue'),
				hidden: false,
				meta: {
					pathName: '图库阅读统计',
					pathFrom: 'readStatistics',
				}
			},
			{
				path: 'chartJurisdiction',
				component: () => import('@/views/dataReport_manage/jurisdiction.vue'),
				name: '图库权限开通统计',
				hidden: false
			},
			{
				path: 'statisticNewcustom',
				component: () => import('@/views/dataReport_manage/statistic/newCustom.vue'),
				name: '新增客户统计',
				hidden: false
			},
			{
				path: 'statisticStockcustom',
				component: () => import('@/views/dataReport_manage/statistic/stockCustom.vue'),
				name: '存量客户统计',
				hidden: false
			},
			/* {
				path: 'newCustomlist',
				component: () => import('@/views/dataReport_manage/statistic/newCustomlist.vue'),
				name: '新增客户列表',
				meta: {
					pathFrom: 'statisticNewcustom',
					pathName: '新增客户统计'
				},
				hidden: true
			}, */
			{
				path: 'todoTask',
				component: () => import('@/views/dataReport_manage/statistic/todoTask.vue'),
				name: '销售To do任务统计',
				hidden: false
			},
			/* {
				path: 'todoTaskList',
				component: () => import('@/views/dataReport_manage/statistic/todoTaskList.vue'),
				name: '客户任务列表',
				meta: {
					pathFrom: 'todoTask',
					pathName: '销售To do任务统计'
				},
				hidden: true
			}, */

		]
	},

]