const resetpassword = r => require.ensure([], () => r(require('@/views/resetpassword.vue')), 'resetpassword'); //修改密码
const home = r => require.ensure([], () => r(require('@/views/Home.vue')), 'Home'); //主页
const main = r => require.ensure([], () => r(require('@/views/Main.vue')), 'Main'); //数据展示页

const reportlist = r => require.ensure([], () => r(require('@/views/report_manage/reportlist')), 'reportlist'); //研报管理-报告列表
const addreport = r => require.ensure([], () => r(require('@/views/report_manage/addreport')), 'addreport'); //研报管理-新增报告
const editreport = r => require.ensure([], () => r(require('@/views/report_manage/editreport')), 'editreport'); //研报管理-编辑报告
const reportdtl = r => require.ensure([], () => r(require('@/views/report_manage/reportdtl')), 'reportdtl'); //研报管理-预览报告
const everyday = r => require.ensure([], () => r(require('@/views/report_manage/everyday')), 'everyday'); //研报管理-每日咨询

const classifylist = r => require.ensure([], () => r(require('@/views/classify_manage/classifylist')), 'classifylist'); //分类管理-分类列表

const bannerlist = r => require.ensure([], () => r(require('@/views/banner_manage/bannerlist')), 'bannerlist'); //分类管理-分类列表


export default [
  {
		path: '/reportdtl',
		component: reportdtl,
		name: '预览报告',
		hidden: true
	},
  {
		path:'/contractdtl',
		component:()=>import('@/views/contract_manage/preViewContract.vue'),
		name:"预览合同",
		hidden:true,
	},
	{
		path: '/fingerpost',
		component: () => import('@/views/operation_manage/index.vue'),
		name: '操作指南',
		hidden: false,
	},

  // 主页
	{
		path: '/',
		component: home,
		name: '主页',
		hidden: true,
		children: [{
				path: 'main',
				component: main,
				name: '数据展示',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'resetpsd',
				component: resetpassword,
				name: '修改密码',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
		]
	},

  // 研报管理
	{
		path: '/',
		component: home,
		name: '研报管理',
		icon_path: require('@/assets/img/home/report_ic.png'),
		hidden: false,
		children: [{
				path: 'reportlist',
				component: reportlist,
				name: '研报列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'classifylist',
				component: classifylist,
				name: '分类列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'chapterSetting',
				component: () => import('@/views/classify_manage/chapterSetting.vue'),
				name: '章节设置',
				hidden: true,
				meta: {
					pathFrom: 'classifylist',
					pathName: '分类列表',
				}
			},
			{
				path: 'everyday',
				component: everyday,
				name: '商品晨报',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'addreport',
				component: addreport,
				name: '添加研报',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'editreport',
				component: editreport,
				name: '编辑研报',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'addreportNew',
				component: () => import('@/views/report_manage/addreportNew.vue'),
				name: '添加研报(新)',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'editreportNew',
				component: () => import('@/views/report_manage/editreportNew.vue'),
				name: '编辑研报(新)',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'dayorweek',
				component: () => import('@/views/report_manage/dayOrWeek.vue'),
				name: '添加晨报/周报',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'editchapterreport',
				component: () => import('@/views/report_manage/editChapterReport.vue'),
				name: '晨报/周报',
				hidden: true,
				meta: {
					keepAlive: false,
					pathFrom: 'dayorweek',
					pathName: '晨报/周报',
				}
			},
			{
				path: 'reportupdate',
				component: () => import('@/views/report_manage/dayWeekUpdate.vue'),
				name: '更新管理',
				hidden: true,
				meta: {
					keepAlive: false
				}
			},
			{
				path:'reportlabel',
				component:()=> import('@/views/report_manage/tagLib.vue'),
				name:'标签管理',
				hidden:true
			},
			{
				path:'reportEnList',
				component:()=> import('@/views/report_manage/reportEn/reportlist.vue'),
				name:'英文研报',
				hidden:false
			},
			{
				path:'reportEnEditor',
				component:()=> import('@/views/report_manage/reportEn/reportEditor.vue'),
				name:'英文研报编辑',
				hidden:false
			},
			{
				path:'emaiList',
				component:()=> import('@/views/report_manage/emailList.vue'),
				name:'邮箱管理',
				hidden:false
			},
			{
				path: 'classifyEnlist',
				component: () => import('@/views/classify_manage/classifyEnlist.vue'),
				name: '英文分类列表',
				hidden: false
			},
			{
				path:'reportAuthor',
				component:()=> import('@/views/report_manage/reportAuthor.vue'),
				name:'研报作者管理',
				hidden:false
			},
			{
				path:'ReportThsSend',
				component:()=> import('@/views/report_manage/pushSetting.vue'),
				name:'推送客户群设置',
				hidden:false
			},
			{	
				path:"videoManage",
				name:"视频管理",
				component:()=>import('@/views/interaction_manage/videoManage.vue')
			},
			{
				path:'voicePlayStatistics',
				component: () => import('@/views/dataReport_manage/voicePlayList.vue'),
				name: '语音播报统计',
				hidden: false
			},
			{
				path:"pricedriven",
				name:"价格驱动",
				component:()=>import('@/views/report_manage/priceDriven.vue')
			},
			{
				path:'priceDrivenStatistics',
				component: () => import('@/views/dataReport_manage/priceDrivenStatistics.vue'),
				name: '价格驱动点击量',
				hidden: false
			},
			{
				path:'sendlog',
				component:()=> import('@/views/report_manage/reportEn/sendMsgLog.vue'),
				name:'群发日志',
				hidden:true
			},
			{
				path:'daynews',
				component:()=> import('@/views/report_manage/dayilyNews.vue'),
				name:'每日资讯',
				hidden:false
			},
			{	
				path:"videoManageEN",
				name:"英文视频",
				component:()=>import('@/views/interaction_manage/videoManageEN.vue')
			},
			{	
				path:"videoManageENAdd",
				name:"添加视频",
				component:()=>import('@/views/interaction_manage/videoManageENAdd.vue')
			},
			{	
				path:"videoManageENEdit",
				name:"编辑视频",
				component:()=>import('@/views/interaction_manage/videoManageENAdd.vue')
			},
			{
				path:"strategyReport",
				name:"策略报告",
				component:()=>import('@/views/report_manage/strategyReport.vue')
			},
			{
				path:"cloudDisk",
				name:"云盘",
				component:()=>import('@/views/report_manage/cloudDisk.vue')
			}
		]
	},

  /* 工作台 */
	{
		path: '/',
		component: home,
		name: '首页',
		hidden: false,
		icon_path: require('@/assets/img/home/work_ico.png'),
		children: [{
			path: '/dashboard',
			component: () => import('@/views/dashboard_manage/workbench.vue'),
			name: '工作台',
			hidden: false
		}]
	},

  // 系统设置
	{
		path: '/',
		component: home,
		name: '系统设置',
		hidden: false,
		icon_path: require('@/assets/img/home/set_ico.png'),
		children: [{
				path: 'Sysdepart',
				component: () => import('@/views/system_manage/departManage.vue'),
				name: '部门管理',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'Sysrole',
				component: () => import('@/views/system_manage/roleManage.vue'),
				name: '角色管理',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: 'Sysauth',
				component: () => import('@/views/system_manage/authManage.vue'),
				name: '设置权限',
				hidden: true,
				meta: {
					pathFrom: 'Sysrole',
					pathName: '角色管理',
					keepAlive: false
				}
			},
			{
				path: 'Sysdatauth',
				component: () => import('@/views/system_manage/dataAuthManage.vue'),
				name: '手工数据权限',
				hidden: false,
			},
			{
				path: 'bannerlist',
				component: bannerlist,
				name: '轮播图列表',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path: "Sysgroupsend",
				component: () => import('@/views/system_manage/groupSend.vue'),
				name: '群发设置',
				hidden: false,
			},
			{
				path: "approvalset",
				component: () => import('@/views/system_manage/approvalManage.vue'),
				name: '审批配置',
				hidden: false,
			},
			{
				path: "messageSetting",
				component: () => import('@/views/system_manage/messageManage.vue'),
				name: '留言管理员',
				hidden: false,
			},{
				path:"Sysoperations",
				component: () => import('@/views/system_manage/operationsManage.vue'),
				name: '运营管理员',
				hidden: false,
			},
			{
				path:"voiceManage",
				component: () => import('@/views/system_manage/voiceManage.vue'),
				name: '语音播报管理',
				hidden: false,
			},
			{
				path:"operateAuth",
				component: () => import('@/views/system_manage/operateAuthManage.vue'),
				name: '数据操作权限',
				hidden: false,
			},
			{
				path: 'videoList',
				component: () => import('@/views/video_manage/videoList.vue'),
				name: '视频管理',
				hidden: false,
				meta: {
					keepAlive: false
				}
			},
			{
				path:"enAuthManage",
				component: () => import('@/views/system_manage/enAuthManage.vue'),
				name: '英文权限配置',
				hidden: false,
			},
		]
	}
]