/* 公用校验 计算指标 */
export const formRules= {
	targetName: [
		{ required: true, message: '指标名称不能为空', trigger: 'blur' },
	],
	unit: [
		{ required: true, message: '单位不能为空', trigger: ['blur','change'] },
	],
	menu: [
		{ required: true, message: '指标目录不能为空', trigger: 'blur' },
	],
	frequency: [
		{ required: true, message: '频度不能为空', trigger: 'blur' },
	],
	n_num: [
		{ required: true, message: 'N不能为空', trigger: 'blur' },
	],
	moveVal: [
		{ required: true, message: '移动方式参数不能为空',trigger: 'blur' }
	],
	calendar_type: [
		{ required: true, message: '日历不能为空',trigger: 'blur' }
	]
}

//计算指标弹窗类型
export const computedTypes = [
	{
		name:'指标运算',
		type:4
	},
	{
		name:'累计值转月值',
		type:5
	},
	{
		name:'同比值',
		type:6
	},
	{
		name:'同差值',
		type:7
	},
	{
		name:'N数值移动平均计算',
		type:8
	},
	{
		name:'N数值环比值',
		type:12
	},
	{
		name:'N数值环差值',
		type:13
	},
	{
		name:'升频',
		type:14
	},
	{
		name:'指标拼接',
		type: 'joint'
	},
	{
		name: '时间移位',
		type: 22
	},
	{
		name: '超季节性',
		type: 35
	},
	{
		name: '拟合残差',
		type: 37
	},
	{
		name: '年化',
		type: 52
	},
	{
		name: '降频',
		type: 51
	},
	{
		name: '扩散指数',
		type: 53
	},
]

//批量指标类型
export const computedBatchTypes = [
	{
		name:'同比值',
		type:6
	},
	{
		name:'同差值',
		type:7
	},
	{
		name:'N数值移动平均计算',
		type:8
	},
	{
		name:'N数值环比值',
		type:12
	},
	{
		name:'N数值环差值',
		type:13
	},
	{
		name:'升频',
		type:14
	}
]

//添加基础指标来源
export const fromArr = ['wind','同花顺','彭博','彭博财务','路透','手工指标','隆众指标','SMM','Mysteel','郑商所',
'大商所','上期所','中金所','上期能源','欧洲天然气','中国煤炭市场网','谷歌出行指数','EIA STEO报告','UN','卓创数据（红桃3）','百川盈孚'];

export const fromCode = new Map([
	['同花顺','1'],
	['wind','2'],
	['SMM','11'],
	['彭博','3'],
	['彭博财务','28'],
	['路透','25'],
	['手工指标','9'],
	['隆众指标','10'],
	['Mysteel','15'],
	['郑商所','16'],
	['大商所','17'],
	['上期所','18'],
	['中金所','19'],
	['上期能源','20'],
	['欧洲天然气','21'],
	['中国煤炭市场网','26'],
	['谷歌出行指数','29'],
	['EIA STEO报告','36'],
	['UN','38'],
  ['卓创数据（红桃3）','41'],
  ['百川盈孚','57']
]);


//所有来源  只用于pycode代码运算 别问我我也不知道为什么每个地方要用不一样的来源
export const allFromArr = [
	{ name: 'wind',key: 2 },
	{ name: '同花顺',key: 1 },
	{ name: '彭博',key: 3 },
	{name:'彭博财务',key:28},
	{ name: '路透', key: 25 },
	{ name: '手工指标', key: 9 },
	{ name: '隆众指标', key: 10 },
	{ name: 'SMM', key: 11 },
	{ name: 'Mysteel', key: 15 },
	{ name: '郑商所', key: 16 },
	{ name: '大商所', key: 17 },
	{ name: '上期所', key: 18 },
	{ name: '中金所', key: 19 },
	{ name: '上期能源', key: 20 },
	{ name: '欧洲天然气', key: 21 },
	{ name: '中国煤炭网', key: 26 },
	{ name: '指标运算',key: 4 },
	{ name: '累计值转月',key: 5 },
	{ name: '同比值', key: 6 },
	{ name: '同差值', key: 7 },
	{ name: 'N数值移动平均计算', key: 8 },
	{ name: '环比值', key: 12 },
	{ name: '环差值', key: 13 },
	{ name: '变频',key: 14 },
	{ name: '时间移位', key: 22 },
	{ name: '直接拼接', key: 23 },
	{ name: '累计值同比拼接', key: 24 },
	{ name: 'python代码', key: 27 },
	{ name: '谷歌出行指数' ,key:29},
	{ name: '钢联化工' ,key:34},
	{ name: 'EIA STEO报告' ,key:36},
	{ name: 'UN' ,key:38},
  { name: '卓创数据（红桃3）' ,key:41},
  {name:'百川盈孚',key:57},
	{ name: '存量装置',key:58 }
]

//公式说明 eta指标库
export const formulaTip = new Map([
	[4,`指标运算：选择指标参数，按照输入的计算公式进行计算，生成新的指标`],
	[5,`累计值转月值计算方法：<br>
	<p style="display:flex;justify-content: space-between;">
		<span style="width:45%">1月无值：1月=2月/2</span>
		<span style="width:40%">1月有值：1月=1月</span>
	</p>
	<p style="display:flex;justify-content: space-between;">
		<span style="width:40%">2月=2月/2</span>
		<span style="width:40%">2月=2月-1月</span>
	</p>
	<p style="display:flex;justify-content: space-between;">
		<span style="width:40%">3月=3月-2月</span>
		<span style="width:40%">3月=3月-2月</span>
	</p>
	<p style="display:flex;justify-content: space-between;">
		<span style="width:40%">4月=4月-3月</span>
		<span style="width:40%">4月=4月-3月</span>
	</p>
	<p style="display:flex;justify-content: space-between;">
		<span style="width:40%">以此类推</span>
		<span style="width:40%">以此类推</span>
	</p>
	<p>特别说明：若1月和2月均无值，则该年不做计算</p>`],
	[6,`同比公式：今年同期/去年同期-1<br>
	1、锁定当前数值对应的日期<br>
	2、匹配上一年同期：寻找过去一年有数值的对应日期中，
	与当前数值对应日期相等或者最为接近的那一天，如果有
	两个日期与当前数值对应日期的距离相等，则取降序日期
	排列下的第一个日期。<br>
	3、取到匹配的上一年同期对应的数值<br>
	4、将当期的数值与上一年匹配的同期的值计算比例<br>
	5、将计算得到的比例填充至当前数值对应的日期，生成
	新的数据序列<br>
	6、遍历允许跨年，对于日度/周度/季度数据，遍历往前
	最多35天，往后最多35天`],
	[7,`同差公式：今年同期-去年同期<br>
	1、锁定当前数值对应的日期<br>
	2、匹配上一年同期：寻找过去一年有数值的对应日期中，
	与当前数值对应日期相等或者最为接近的那一天，如果有
	两个日期与当前数值对应日期的距离相等，则取降序日期
	排列下的第一个日期。<br>
	3、取到匹配的上一年同期对应的数值<br>
	4、将当期的数值与上一年匹配的同期的值计算差值<br>
	5、将计算得到的差值填充至当前数值对应的日期，生成
	新的数据序列<br>
	6、遍历允许跨年，对于日度/周度/季度数据，遍历往前
	最多35天，往后最多35天`],
	[8,`计算公式：=AVERAGE(N个数值的和)，N为取数个数<br>
	1、计算当前的数值的N值移动平均，则时间向前追溯
	N个值（包括当前值），如果遇到空格值的日期，则自
	动跳过空格数值，继续往前追溯<br>
	2、如果当前日期对应的原始数据为空值，则N值移动
	平均也为空值`],
	[12,`环比公式：（当期-上期）/上期<br>
	1、选择当期对应值，若是当期值为空，则环比值为空；若当期有值，上期值往 前遍历查询，默认N等于1，找最近的一个上期值；可根据设置的N值选择最 近的第N个上期值 <br>
	2、将当期的数值与匹配到的上期值按照公式进行计算 <br>
	3、将计算得到值填充至当期数值对应的日期，生成新的 数据序列<br>
	4、原始数据中出现0和负值时，提示该指标不能进行环比运算`],
	[13,`环差公式：当期-上期<br>
	1、选择当期对应值，若是当期值为空，则环差值为空；若当期有值，上期值往 前遍历查询，默认N等于1，找最近的一个上期值；可根据设置的N值选择最 近的第N个上期值找到最近的一个上期值即可<br>
	2、将当期的数值与匹配到的上期值按照公式进行计算<br>
	3、将计算得到值填充至当期数值对应的日期，生成新的数据序列`],
	[14,`升频：支持转换所有频度指标为日度指标<br>
	1、规则：若将月度指标转换为日度指标，如当前月为9月，但9月数据还未更新，假设9月数据是9.30更新，则9.1~9.29的数据等于8.31的数据<br>
	2、其他频度规则相同
	`],
	['joint',`1、直接拼接说明：将指标A和指标B按照选取的拼接日期进行拼接；<br>
	2、累计值同比拼接说明：指标A最后一个12月31日有值的年份数据乘以指标B的同比增长率得到指标A下一年的数据，从指标A最后一个12月31日有值的日期开始拼接计算得到指标A下一年的数据；`],
	[22,`时间移位：把数据的时间序列加(领先)减(滞后)相应的时间，形成新的数据系列。<br>例:<br>
	<p>
		领先10天，即将指标每个数据点的日期加10天。原始数据点(2022-1-1,100)将转化成(2022-1-11,100)
	</p>
	<p>
		滞后1月，即将日期减30天，原始数据点(2022-1-1,100)将转化成(2021-12-2,100)
	</p>`],
	[35,`计算公式：现值 - AVERAGE(过去N年同期数值和)，N为取数个数<br>
	1、计算过去N年同期数值和，则时间向前追溯 N年（包括最新一年）<br>
	2、寻找过去N年有数值的对应日期中， 与当前数值对应日期相等或者最为接近的那一天，如果有 两个日期与当前数值对应日期的距离相等，则取逆序日期 排列下的第一个日期<br>
	3、遍历允许跨年，对于日度/周度/月度/季度数据，遍历往前 最多35天，往后最多35天
	`],
	[37,`拟合残差：计算一个指标(B)的实际值和拟合值(B’)的差值。拟合值B’由指标A（自变量）和指标B（因变量）通过线性回归拟合得到，具体算法如下:<br>
	根据指标A（自变量）和指标B（因变量）过去一个时间段内(这个N期可以是从最新值往前倒退N期，包含最新，也可以是选取历史数据的一个时间段内的数据)，生成线性回归方程 Y=aX+b<br>
	由指标A（自变量）和拟合方程的系数a，b，计算得到拟合出来的系列B’=aA b 再计算拟合系列B’和原始系列B的差值得到新的数据系列Delta，Delta=B-B'
	`],
	[40,`数据调整：将所选指标的历史数据经过调整后保存，该指标更新时将在调整数据的基础上更新最新数据。<br>
	注：系统只取A、B列数据，且调整数据的日期不得晚于指标的实际最新日期
	`],
	[52,`年化值=S / a (S表示指标数值，a表示年化平均占比)<br>
	1、读取指标最新值对应的日期T和指标数值S<br>
	2、计算该指标在过去三年日期T对应的值与当年最后一个日期对应的值的比值，即截止到日期T的累计值占全年值的比重<br>
	3、计算三年的占比平均值，即过去三年平均占比a<br>
	4、若历史数据不足三年，则至少按两年计算，少于两年不生成年化值<br>
	5、如果某一年日期T没有值，则通过日期T前后的两个值，用插值法计算得到日期T的值
	`],
	[51,`降频：将高频指标转换为低频指标<br>
	1、规则：若将日度指标转换为月度指标，当前是1.3，1月有数据，但1.31未到，则最新数据日期为1.31，数据值根据数据取值选项计算，如期末值则取1.3值，如平均值，则取1月所有值的均值<br>
	2、其他频度规则相同`],
	[53,`扩散指数：AVERAGE(所选指标环差指数和)<br>
	1、选择多个指标，设定扩散指标日期并集<br>
	2、所选指标在日期并集内有缺失值的用前期值填充<br>
	3、计算日期并集内所选指标的每期环差指数，并计算环差指数均值`],
])
